summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/mcrypt/README12
-rw-r--r--system/mcrypt/mcrypt.SlackBuild103
-rw-r--r--system/mcrypt/mcrypt.info8
-rw-r--r--system/mcrypt/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/system/mcrypt/README b/system/mcrypt/README
new file mode 100644
index 0000000000..e987f323ef
--- /dev/null
+++ b/system/mcrypt/README
@@ -0,0 +1,12 @@
+MCrypt is a replacement for the old crypt package and crypt command with
+extensions. It allows developers to use a wide range of encryption functions
+including encrypting files or data streams without having to be cryptographers.
+
+The companion to MCrypt is libmcrypt, which contains the actual encryption
+functions themselves and provides a standardized mechanism for accessing them.
+
+mcrypt and libmcrypt packages are recommended if you are using phpmyadmin for
+database administration.
+
+To actually use mcrypt, you would have to recompile php with the following
+config switch: "--with-mcrypt=shared,/usr/bin"
diff --git a/system/mcrypt/mcrypt.SlackBuild b/system/mcrypt/mcrypt.SlackBuild
new file mode 100644
index 0000000000..48df263f64
--- /dev/null
+++ b/system/mcrypt/mcrypt.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware Package Build Script for mcrypt
+
+# Home Page http://mcrypt.sourceforge.net/
+#
+# Copyright (c) 2008-2009, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mcrypt
+VERSION=2.6.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+find . \
+ \( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
+ -exec chmod 755 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL* \
+ NEWS README TODO THANKS doc/sample.mcryptrc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/mcrypt/mcrypt.info b/system/mcrypt/mcrypt.info
new file mode 100644
index 0000000000..4a6135c753
--- /dev/null
+++ b/system/mcrypt/mcrypt.info
@@ -0,0 +1,8 @@
+PRGNAM="mcrypt"
+VERSION="2.6.8"
+HOMEPAGE="http://mcrypt.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mcrypt/mcrypt-2.6.8.tar.gz"
+MD5SUM="97639f8821b10f80943fa17da302607e"
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="rworkman"
diff --git a/system/mcrypt/slack-desc b/system/mcrypt/slack-desc
new file mode 100644
index 0000000000..e853716dd3
--- /dev/null
+++ b/system/mcrypt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mcrypt: mcrypt (simple encryption app)
+mcrypt:
+mcrypt: Mcrypt is a simple encryption program, intended to be
+mcrypt: a replacement for the old unix crypt.
+mcrypt:
+mcrypt: Home Page http://mcrypt.sourceforge.net
+mcrypt:
+mcrypt:
+mcrypt:
+mcrypt:
+mcrypt: